NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Routing.FixturePortCollection Class Reference

Represents a collection of NXOpen.Routing.FixturePort objects. More...

Inheritance diagram for NXOpen.Routing.FixturePortCollection:

Public Member Functions

NXOpen.Routing.FixturePort[] ToArray ()
 Returns an array of NXOpen.Routing.FixturePort objects. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle)
 Creates a FixturePort with a rotation vector at an absolute location. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector)
 Creates a FixturePort with no rotation vector at an absolute location. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point)
 Creates a FixturePort with a rotation vector at a point. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point)
 Creates a FixturePort with no rotation vector at a point. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis)
 Creates a FixturePort with a rotation vector on an axis. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject)
 Creates a FixturePort with no rotation vector on an axis. More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, bool allowMultipleConnections)
 Creates a FixturePort with a rotation vector at an absolute location More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, bool allowMultipleConnections)
 Creates a FixturePort with no rotation vector at an absolute location More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Point point, bool allowMultipleConnections)
 Creates a FixturePort with a rotation vector at a point More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Point point, bool allowMultipleConnections)
 Creates a FixturePort with no rotation vector at a point More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Vector3d rotationVector, NXOpen.DisplayableObject rotationObject, double clockAngle, NXOpen.Axis axis, bool allowMultipleConnections)
 Creates a FixturePort with a rotation vector on an axis More...
 
unsafe NXOpen.Routing.FixturePort CreateFixturePort (NXOpen.Point3d origin, NXOpen.Vector3d alignmentVector, NXOpen.Axis derivationObject, bool allowMultipleConnections)
 Creates a FixturePort with no rotation vector on an axis More...
 
unsafe NXOpen.Routing.FixturePort CreateFromAxis (NXOpen.Axis axis)
 Creates a fixture port based on an existing axis. More...
 
unsafe NXOpen.Routing.FixturePort CreateFromCsys (NXOpen.CartesianCoordinateSystem csys, NXOpen.Routing.Port.CreateRotationVector createRotationVector)
 Creates a fixture port based on an existing Cartesian Coordinate System. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Routing.FixturePort objects.

To obtain an instance of this class, refer to NXOpen.Routing.RouteManager

Created in NX4.0.0

Member Function Documentation

unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle 
)

Creates a FixturePort with a rotation vector at an absolute location.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector 
)

Creates a FixturePort with no rotation vector at an absolute location.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Point  point 
)

Creates a FixturePort with a rotation vector at a point.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
pointFixture Port derived from this point
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Point  point 
)

Creates a FixturePort with no rotation vector at a point.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
pointFixture Port derived from this point
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Axis  axis 
)

Creates a FixturePort with a rotation vector on an axis.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
axisFixture Port derived from this axis
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Axis  derivationObject 
)

Creates a FixturePort with no rotation vector on an axis.

Default allows multiple connections to this port.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
derivationObjectFixture Port derived from this axis
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
bool  allowMultipleConnections 
)

Creates a FixturePort with a rotation vector at an absolute location

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
bool  allowMultipleConnections 
)

Creates a FixturePort with no rotation vector at an absolute location

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Point  point,
bool  allowMultipleConnections 
)

Creates a FixturePort with a rotation vector at a point

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
pointFixture Port derived from this point
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Point  point,
bool  allowMultipleConnections 
)

Creates a FixturePort with no rotation vector at a point

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
pointFixture Port derived from this point
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Vector3d  rotationVector,
NXOpen.DisplayableObject  rotationObject,
double  clockAngle,
NXOpen.Axis  axis,
bool  allowMultipleConnections 
)

Creates a FixturePort with a rotation vector on an axis

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
rotationVectorRotation Vector of the fixture port
rotationObjectRotation derivation object, may be a null reference (Nothing in Visual Basic)
clockAngleClock angle increment in degrees for the rotation vector
axisFixture Port derived from this axis
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFixturePort ( NXOpen.Point3d  origin,
NXOpen.Vector3d  alignmentVector,
NXOpen.Axis  derivationObject,
bool  allowMultipleConnections 
)

Creates a FixturePort with no rotation vector on an axis

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
originOrigin of the fixture port
alignmentVectorAlignment vector of the fixture port
derivationObjectFixture Port derived from this axis
allowMultipleConnectionsDoes this fixture port allow multiple wires to be routed to it?
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFromAxis ( NXOpen.Axis  axis)

Creates a fixture port based on an existing axis.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
axisThe new Fixture Port will be derived from this axis
Returns
unsafe NXOpen.Routing.FixturePort NXOpen.Routing.FixturePortCollection.CreateFromCsys ( NXOpen.CartesianCoordinateSystem  csys,
NXOpen.Routing.Port.CreateRotationVector  createRotationVector 
)

Creates a fixture port based on an existing Cartesian Coordinate System.

The port aligns with the Z axis of the Coordinate System. The port's rotation vector, if any, aligns with the Y direction of the Coordinate System.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
csysThe new Fixture Port will be derived from this Cartesian Coordinate System
createRotationVectorShould the rotation vector be created?
Returns
override int NXOpen.Routing.FixturePortCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Routing.FixturePort [] NXOpen.Routing.FixturePortCollection.ToArray ( )

Returns an array of NXOpen.Routing.FixturePort objects.

Property Documentation

Tag NXOpen.Routing.FixturePortCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.